Bug 1029062 - Checking network interfaces takes ages
Checking network interfaces takes ages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: dracut (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity high
: rc
: ---
Assigned To: dracut-maint
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 10:16 EST by Jiri Denemark
Modified: 2014-06-17 23:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:06:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Denemark 2013-11-11 10:16:12 EST
Description of problem:

When installing RHEL-7 all network interfaces are checked, which is OK but the way this is done is rather hopeless. I takes 2 minutes to detect that there is no cable connected to a network interface and moreover interfaces are checked one after another so with several NICs installed one can easily get very frustrated. Once the system is installed, the problem goes away.

Version-Release number of selected component (if applicable):

Any recent RHEL-7 compose. The last one I tried was RHEL-7.0-20131111.n.0 but I saw it on older composes, too.

How reproducible:

100%

Steps to Reproduce:
1. put several NICs into a computer but connect only one of them
2. boot from RHEL-7 install media (I used PXE)

Actual results:

Boot process is stuck for several minutes while trying to get IP addresses on unconnected NICs.

Expected results:

All NICs should be checked in parallel and/or unconnected ones should be just skipped.

Additional info:
Comment 1 Vratislav Podzimek 2013-11-12 08:47:53 EST
NIC's are checked by dracut.
Comment 2 Harald Hoyer 2013-12-18 10:14:17 EST
Please test http://people.redhat.com/harald/downloads/dracut/dracut-033-67.el7/ if possible
Comment 4 Ladislav Jozsa 2014-03-14 05:31:48 EDT
Verified with dracut mentioned in c#2. Boot process is slightly faster because dhclient isn't run on inactive (i.e. no carrier) network interfaces. 

However this is as much as we can get from the current situation when the carrier presence is checked by a shell script after some waiting for the link to come up. In the current situation (without NetworkManager in dracut) it is not possible to speed this process up any more as we need to wait for the link state to settle because there might be some hardware on the other side of the cable that is slower with putting the link up.
Comment 5 Ladislav Jozsa 2014-03-14 07:09:55 EDT
Re-tested it also on the newest compose RHEL-7.0-20140314.0 with dracut-033-147.el7 and it works as well.
Comment 6 Ludek Smid 2014-06-13 07:06:58 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.